Subject: Add route part handler support
Description

Route part handlers are classes which follow a certain interface and can resolve one ore more URL segments as well as build up URL
parts from given data.
E.g. we'll need a route part handler to resolve titles of TYPO3 pages.
The configuration will look something like

$c->myRoute
        ->setUrlPattern('[language]/[[page]]/[[pluginOptions]]')
        ->setDefaults(
            array(
                'package' => 'TYPO3',
                'controller' => 'Page',
                'action' => 'default',
                'language' => 'en'
            )
        )
        ->setRoutePartHandlers(
            array(
                'language' => 'F3_L10N_Routing_ISOResolver',
                'page' => 'F3_TYPO3_Routing_PageResolver',
                'pluginOptions' => 'F3_TYPO3_Routing_PluginResolver'
            )
        );

Associated revisions
Revision ff22ce11 - 2008-08-11 21:55 - Bastian Waidelich

    -  FLOW3: (MVC) Add route part handler support. A route part handler is basically nothing else than a specialized
F3_FLOW3_MVC_Web_Routing_DynamicRoutePart and can be used to resolve one or multiple URL segments. Resolves #1251.

Note: There is no implementation of a route part handler yet.

History
#1 - 2008-08-08 12:43 - Bastian Waidelich
- Category set to MVC

#2 - 2008-08-11 21:55 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset r1122.

2015-08-03 2/2


